searchData={"content_type":"text/markdown","items":[{"doc":"A small library which provides a global timer facility in Elixir (or Erlang).","ref":"Gtimer.html","title":"Gtimer","type":"module"},{"doc":"iex> timer_ref = Gtimer.new_timer(timeout,options \\ [])\n\nStarts a new timer running for `timeout` millseconds, returns a \"timer reference\".\n\niex> Gtimer.cancel_timer(timer_ref)\n\nCancels a running timer.\n\nIf a running timer is not cancelled when the timer expires a\n`timeout_action` function (defined as an option)\nwill be called with the process identifier of the process that created the timer\nas a single argument. If the timeout_action is not a function of arity 1, then the \ndefault action of logging an informative warning message, will be taken.\n\nTimer management is done in a separate process. Inside the process\ntimers are stored in a priority queue, and using a map, which\naffords logarithmic worst-case time complexity for both function\ncalls (in terms of the number of timers running).","ref":"Gtimer.html#module-example","title":"Example: - Gtimer","type":"module"},{"doc":"iex> timer_ref = Gtimer.new_timer(1000,fn pid -> Process.exit(pid,:because) end)\n\nThis will start a new timer which when it expires kills the process which invoked\nthe call to `new_timer`.","ref":"Gtimer.html#module-example","title":"Example: - Gtimer","type":"module"},{"doc":"Cancels a running timer.","ref":"Gtimer.html#cancel_timer/1","title":"Gtimer.cancel_timer/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Gtimer.html#child_spec/1","title":"Gtimer.child_spec/1","type":"function"},{"doc":"Returns expired timers.","ref":"Gtimer.html#expired_timers/0","title":"Gtimer.expired_timers/0","type":"function"},{"doc":"Starts a new timer running for `timeout` millseconds, returns a \"timer reference\".\nIf a running timer is not cancelled when the timer expires the timeout_action function \nwill be called with the process identifier of the process that created the timer as \na single argument. Options may define a {`timeout_action`,fun}\nwhich is the action taken when a timer expires, or {`log_level`,level}\nwhich determines the Log level for timer expire messages.","ref":"Gtimer.html#new_timer/3","title":"Gtimer.new_timer/3","type":"function"},{"doc":"","ref":"Gtimer.html#stop/0","title":"Gtimer.stop/0","type":"function"}]}